// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		B290990C2559B097002BDDAA /* AuthenticationData.swift in Sources */ = {isa = PBXBuildFile; fileRef = B290990B2559B097002BDDAA /* AuthenticationData.swift */; };
		B290990F2559B347002BDDAA /* SecondViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = B290990E2559B347002BDDAA /* SecondViewController.swift */; };
		B2E72D35253D5A1C0015C642 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = B2E72D34253D5A1C0015C642 /* AppDelegate.swift */; };
		B2E72D37253D5A1C0015C642 /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = B2E72D36253D5A1C0015C642 /* SceneDelegate.swift */; };
		B2E72D39253D5A1C0015C642 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = B2E72D38253D5A1C0015C642 /* ViewController.swift */; };
		B2E72D3C253D5A1C0015C642 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = B2E72D3A253D5A1C0015C642 /* Main.storyboard */; };
		B2E72D3E253D5A1C0015C642 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = B2E72D3D253D5A1C0015C642 /* Assets.xcassets */; };
		B2E72D41253D5A1C0015C642 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = B2E72D3F253D5A1C0015C642 /* LaunchScreen.storyboard */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		B290990B2559B097002BDDAA /* AuthenticationData.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AuthenticationData.swift; sourceTree = "<group>"; };
		B290990E2559B347002BDDAA /* SecondViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SecondViewController.swift; sourceTree = "<group>"; };
		B2E72D31253D5A1B0015C642 /* Starbucks JMSR.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = "Starbucks JMSR.app"; sourceTree = BUILT_PRODUCTS_DIR; };
		B2E72D34253D5A1C0015C642 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		B2E72D36253D5A1C0015C642 /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		B2E72D38253D5A1C0015C642 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		B2E72D3B253D5A1C0015C642 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		B2E72D3D253D5A1C0015C642 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		B2E72D40253D5A1C0015C642 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		B2E72D42253D5A1C0015C642 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		B2E72D2E253D5A1B0015C642 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		B2E72D28253D5A1B0015C642 = {
			isa = PBXGroup;
			children = (
				B2E72D33253D5A1B0015C642 /* Starbucks JMSR */,
				B2E72D32253D5A1B0015C642 /* Products */,
			);
			sourceTree = "<group>";
		};
		B2E72D32253D5A1B0015C642 /* Products */ = {
			isa = PBXGroup;
			children = (
				B2E72D31253D5A1B0015C642 /* Starbucks JMSR.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		B2E72D33253D5A1B0015C642 /* Starbucks JMSR */ = {
			isa = PBXGroup;
			children = (
				B2E72D34253D5A1C0015C642 /* AppDelegate.swift */,
				B2E72D36253D5A1C0015C642 /* SceneDelegate.swift */,
				B2E72D38253D5A1C0015C642 /* ViewController.swift */,
				B2E72D3A253D5A1C0015C642 /* Main.storyboard */,
				B2E72D3D253D5A1C0015C642 /* Assets.xcassets */,
				B2E72D3F253D5A1C0015C642 /* LaunchScreen.storyboard */,
				B2E72D42253D5A1C0015C642 /* Info.plist */,
				B290990B2559B097002BDDAA /* AuthenticationData.swift */,
				B290990E2559B347002BDDAA /* SecondViewController.swift */,
			);
			path = "Starbucks JMSR";
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		B2E72D30253D5A1B0015C642 /* Starbucks JMSR */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = B2E72D45253D5A1C0015C642 /* Build configuration list for PBXNativeTarget "Starbucks JMSR" */;
			buildPhases = (
				B2E72D2D253D5A1B0015C642 /* Sources */,
				B2E72D2E253D5A1B0015C642 /* Frameworks */,
				B2E72D2F253D5A1B0015C642 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = "Starbucks JMSR";
			productName = "Starbucks JMSR";
			productReference = B2E72D31253D5A1B0015C642 /* Starbucks JMSR.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		B2E72D29253D5A1B0015C642 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1200;
				LastUpgradeCheck = 1200;
				TargetAttributes = {
					B2E72D30253D5A1B0015C642 = {
						CreatedOnToolsVersion = 12.0.1;
					};
				};
			};
			buildConfigurationList = B2E72D2C253D5A1B0015C642 /* Build configuration list for PBXProject "Starbucks JMSR" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = B2E72D28253D5A1B0015C642;
			productRefGroup = B2E72D32253D5A1B0015C642 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				B2E72D30253D5A1B0015C642 /* Starbucks JMSR */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		B2E72D2F253D5A1B0015C642 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				B2E72D41253D5A1C0015C642 /* LaunchScreen.storyboard in Resources */,
				B2E72D3E253D5A1C0015C642 /* Assets.xcassets in Resources */,
				B2E72D3C253D5A1C0015C642 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		B2E72D2D253D5A1B0015C642 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				B2E72D39253D5A1C0015C642 /* ViewController.swift in Sources */,
				B290990C2559B097002BDDAA /* AuthenticationData.swift in Sources */,
				B2E72D35253D5A1C0015C642 /* AppDelegate.swift in Sources */,
				B290990F2559B347002BDDAA /* SecondViewController.swift in Sources */,
				B2E72D37253D5A1C0015C642 /* SceneDelegate.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		B2E72D3A253D5A1C0015C642 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				B2E72D3B253D5A1C0015C642 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		B2E72D3F253D5A1C0015C642 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				B2E72D40253D5A1C0015C642 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		B2E72D43253D5A1C0015C642 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		B2E72D44253D5A1C0015C642 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		B2E72D46253D5A1C0015C642 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 28D5C72LRW;
				INFOPLIST_FILE = "Starbucks JMSR/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "com.shubha.Starbucks-JMSR";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		B2E72D47253D5A1C0015C642 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 28D5C72LRW;
				INFOPLIST_FILE = "Starbucks JMSR/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "com.shubha.Starbucks-JMSR";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		B2E72D2C253D5A1B0015C642 /* Build configuration list for PBXProject "Starbucks JMSR" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				B2E72D43253D5A1C0015C642 /* Debug */,
				B2E72D44253D5A1C0015C642 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		B2E72D45253D5A1C0015C642 /* Build configuration list for PBXNativeTarget "Starbucks JMSR" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				B2E72D46253D5A1C0015C642 /* Debug */,
				B2E72D47253D5A1C0015C642 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = B2E72D29253D5A1B0015C642 /* Project object */;
}
